#ifndef SETTINGS_H
#define SETTINGS_H

#include <QXmlStreamReader>
#include <QFile>
#include <QMessageBox>
#include <QSet>
#include <QDebug>

#include "medialibrary.h"
#include "audiowidget.h"
#include "defines.h"

class Settings : public QObject
{
    Q_OBJECT

public:
    Settings(QObject *parent = 0);
    static Settings *getInstance();
    inline QSet<int> getUniverses() { return m_universe; }
    inline QString getPathMedia() { return m_pathmedia; }
    inline QList<dmxSetting> getDmxSettings() { return m_settings; }
    inline int getLayersNumber() { return m_layersNumber; }
    inline int getAudioDeviceId() { return m_audioDeviceId[0]; }
    inline bool getShowUi() { return m_ui; }
    void readFile();
    void readFromFile(QString file);
    void printSettings();

private:
   static Settings *_instance;
   QList<dmxSetting> m_settings;
   QString m_pathmedia;
   uint m_audioDeviceId[MAX_AUDIODEVICES];
   uint m_audioDeviceQty;
   QSet<int> m_universe;
   int m_layersNumber;
   bool m_ui;
};

#endif // SETTINGS_H
