#ifndef SLIDERGROUP_H
#define SLIDERGROUP_H

#include <QGroupBox>
#include <QDoubleSpinBox>
#include <QVBoxLayout>
#include <QSlider>

class SliderGroup : public QWidget
{
    Q_OBJECT

public:
    SliderGroup(QString name,
                int min,
                int max,
                int decimals,
                QWidget *parent = nullptr);

signals:
    void valueChanged(int value);

public slots:
    void setValue(float value);
    void sliderValueChanged(int value);

private:
    QSlider *slider;
    QDoubleSpinBox *valueBox;

    void mousePressEvent(QMouseEvent* event);
};

#endif
